[RFE] katello-installer pre-installation requirements check
Status: Closed

Priority: Normal

Assignee: Bryan Kearney

Category: Installer

Target version: Katello 2.0

Difficulty: easy Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: 1003992 Red Hat JIRA:

Pull request:

Description

Cloned from https://bugzilla.redhat.com/show_bug.cqgi?id=1110521
[RFE]

The katello-installer command should provide validation of system requirements (free disk space, memory, etc) prior to installing
Satellite. This would allow the end user to ensure that the system has the proper configuration prior to installation and prevent a bad
user experience due to a (preventable) failed install.

Additionally, the command should provide a switch to disable this requirement checking for an advanced user to use.

Version-Release number of selected component (if applicable):
katello-installer-0.0.45-1.el6sat.noarch

Associated revisions

Revision 98d60257 - 07/15/2014 01:26 PM - Bryan Kearney

Fixes #6278 : Add additional checks to the installer.

This adds two new checks. One is using the output of java --version
to ensure the version is at least 1.7 and is the OpenJDK. The second

is looking for total available disk space of at least 5 GB. This does
not really ensure a space issue, but it is is a good first cut.

Revision 41dcOccb - 07/16/2014 09:53 AM - Bryan Kearney
Merge pull request #73 from bkearney/bkearney/6278

Fixes #6278 : Add additional checks to the installer.

History

#1 - 06/18/2014 08:27 PM - Bryan Kearney
- Bugzilla link changed from https://bugzilla.redhat.com/show_bug.cgi?id=1110521 to https.://bugzilla.redhat.com/show_bug.cgi?id=1003992

#2 - 06/19/2014 01:03 AM - Eric Helms
- Status changed from New to Assigned
- Assignee set to Bryan Kearney

- Target version set to 48

- Difficulty set to easy

- Triaged set to Yes

#3 - 06/19/2014 12:51 PM - Eric Helms

- Tracker changed from Bug to Feature

#4 - 07/07/2014 07:47 AM - Eric Helms
https://bugzilla.redhat.com/show_bug.cgi?id=1110521

- Target version changed from 48 to 49

#5 - 07/16/2014 10:02 AM - Anonymous
- Status changed from Assigned to Closed

- % Done changed from 0 to 100

Applied in changeset katello-installer|]98d602575dba25c50b6a901d2f2b3d72109f004e.

#6 - 08/22/2014 08:35 AM - Eric Helms

- translation missing: en.field_release set to 13
